phpmyadmin4.6.6 登录失败- #2002 – Can’t connect to local MySQL server through socket

作者: wxfeng 分类: 数据库 发布时间: 2017-02-17 00:00

今日下载了phpmyadmin的最新版本phpmyadmin4.6.,并安装在了服务器,结果在登录时提示以下错误:


#2002 – Can't connect to local MySQL server through socket
'/var/lib/mysql/mysql.sock' (2) — 服务器没有响应(或本地服务器的套接字没有正确设置)。

网上搜索 各种修改配置都无法解决;最后在看phpmyadmin4.6.6的安装文档时发现最新版本支持的数据库版本有限:

Database

phpMyAdmin supports MySQL-compatible databases.

  • MySQL 5.5 or newer

  • MariaDB 5.5 or newer

最后回到下载页面看到了如下信息,彻底发现自己眼瞎了:最新版本的仅支持MySQL 5.5以上的版本,我的php没问题,是7.0的。查看mysql,版本为5.1。泪奔:(

phpMyAdmin 4.6.6

Released 2017-01-23, see release notes for details.

Current version compatible with PHP 5.5 to 7.1 and MySQL 5.5 and newer.

领悟:在更新软件时,切勿盲目,需看好依赖的环境才是首要考虑的问题。


解决方法:更新mysql至5.5以上版本即可。

如果觉得我的文章对您有用,请随意赞赏。您的支持将鼓励我继续创作!

发表评论

电子邮件地址不会被公开。 必填项已用*标注